summary
{
    font-weight: 600;
    line-height: 1.3;
    color: #c3e88d;
}

details {
    margin-bottom: 1rem;
    overflow: hidden;
    transition: border-color 0.2s;
}

.stack-card
{
    --min-card-width: 260px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(var(--min-card-width), 1fr));
    gap:            clamp(0.8rem, 2vw, 1.4rem);
    padding: 0.5rem;
}

.stack-item
{
    border: thin solid;
    background-color: #161b22;
    border-radius: 6px;
    margin-top: 1rem;
    margin-right: 1rem;
    padding: 1rem;
}

.stack-item:hover,
.stack-item:focus-within {
  border-color: #58a6ff;;
  color: #58a6ff;;
  box-shadow: 0 6px 20px rgba(0,0,0,0.4);
  transform: translateY(-2px);
}

.icon {
    width: 1em;
    height: 1em;
    vertical-align: -0.125em;
    fill: white;
}
